bearerAuth Bearer Token (JWT) | Resource | Description |
|---|---|
| Credentials | API for managing credentials CRUD |
| Flows | API for managing credentials flows operations, to simplify CRUD operations |
| Tokens | API for managing tokens |
| Magic links | Retrieve magic tokens |
| OTP | One-Time Password |
| TOTP | Time-based One-time Password |
| Devices | API for managing devices sessions |
bearerAuth Bearer Token (JWT) | Resource | Description |
|---|---|
| Credentials | API for managing credentials CRUD |
| Flows | API for managing credentials flows operations, to simplify CRUD operations |
| Tokens | API for managing tokens |
| Magic links | Retrieve magic tokens |
| OTP | One-Time Password |
| TOTP | Time-based One-time Password |
| Devices | API for managing devices sessions |
Get usernames credential. It´s main goal its to get information about a credential without involving checking directly in BD. It will not return credential password
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
OK Credential retrieved during check process
{
"created_at": "2025-01-15T10:30:00Z",
"deleted_at": {
"Time": "2025-01-15T10:30:00Z",
"Valid": true
},
"enabled": true,
"require2fa": true,
"id": "string",
"last_login_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"username": "string",
"crm": "qvantel"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
created_at* | string (date-time) | Creation date | |||||||||||||||||
deleted_at | object | Deletion date. It's a nullTime which represents a time.Time that may be null. | |||||||||||||||||
| |||||||||||||||||||
enabled* | boolean | If true it's enabled | |||||||||||||||||
require2fa | boolean | If true the 2fa is required | |||||||||||||||||
id | string | ||||||||||||||||||
last_login_at* | string (date-time) | Date of last successful login | |||||||||||||||||
updated_at* | string (date-time) | Date of last update | |||||||||||||||||
username* | string | Username | |||||||||||||||||
crm* | string | the crm where the credential belongs to | |||||||||||||||||
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Create the user's credential without activating it and without password Generate a token required to change the password for this username. With this token, the username will be able to set password with update endpoint
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Created Security token to set or change password
{
"token": "ed7f4ab1-6234-46e6-a4de-fd3d4de3d414@masmovil@h7sn381lTBopU7pLIljv36pWzPTEy-FlswJznI_JqVoxbUXi40XJP8ekJ_1Owtrvzo4FOqIXCtABHhLPJ7rrHAa2UchVqWHuYQZyBCcutP_ryfegNNjC8OWYNc0Mf-mAg1O_GEA50pEXh9UkXINuCikK_XmgDonQhOmRwHC_qiU="
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
token* | string | Security token issued in order to change passwords |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Username should be exist. The token must exist and must have been created for this user to change their password
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Password and security token.
{
"password": "string",
"token": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
password* | string | New password for the customer credential | ||
token* | string | Security token issued in order to change passwords |
No Content OK
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X PUT 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"password": "string",
"token": "string"
}' Username should be exist. The token must exist and must have been created for this user to change their password
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Password and security token.
{
"enabled": true,
"require2fa": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
enabled* | boolean | Enables or disables the credential | ||
require2fa | boolean | If true the 2fa is required |
No Content OK
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X PATCH 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"enabled": true,
"require2fa": true
}' Delete username credential. The user will not be able to login anymore
PATH PARAMETERS
a username of Grupo Masmovil
a orgID of Grupo Masmovil
No Content OK
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X DELETE 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Move a credential from one organization to another. The credential will be deleted from the origin organization and created in the destination organization.
PATH PARAMETERS
a username of Grupo Masmovil
Origin organization ID
Destination organization for the credential move
{
"destinationOrg": "yoigo"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
destinationOrg* | string | Destination organization ID |
OK Credential move successful response
{
"message": "credential moved successfully",
"username": "heimdall@masmovil.com",
"from": "masmovil",
"to": "yoigo"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message* | string | Success message | ||
username* | string | Username that was moved | ||
from* | string | Origin organization | ||
to* | string | Destination organization |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/move/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"destinationOrg": "yoigo"
}' Copy a credential from one organization to another. The credential will remain in the origin organization and be created in the destination organization.
PATH PARAMETERS
a username of Grupo Masmovil
Origin organization ID
Destination organization for the credential copy
{
"destinationOrg": "yoigo"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
destinationOrg* | string | Destination organization ID |
OK Credential copy successful response
{
"message": "credential copied successfully",
"username": "heimdall@masmovil.com",
"from": "masmovil",
"to": "yoigo"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message* | string | Success message | ||
username* | string | Username that was copied | ||
from* | string | Origin organization | ||
to* | string | Destination organization |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/copy/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"destinationOrg": "yoigo"
}' Search for credentials across all enabled tenant schemas by username. Returns an array of credentials found across different organizations.
PATH PARAMETERS
a username of Grupo Masmovil
Organization ID (context for the request)
OK List of credentials found across different organizations
[
{
"org": "masmovil",
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2025-01-15T10:30:00Z",
"enabled": true,
"require2fa": true,
"last_login_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"username": "heimdall@masmovil.com",
"crm": "qvantel"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
org* | string | Organization where the credential was found | ||
id | string | Credential ID | ||
created_at* | string (date-time) | Creation date | ||
enabled* | boolean | If true it's enabled | ||
require2fa | boolean | If true the 2fa is required | ||
last_login_at | string (date-time) | Date of last successful login | ||
updated_at* | string (date-time) | Date of last update | ||
username* | string | Username | ||
crm | string | The CRM where the credential belongs to |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/discover/heimdall@masmovil.com' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Generate a token required to change the password for this username With this token, the username will be able to change password with update endpoint
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Created Security token to set or change password
{
"token": "ed7f4ab1-6234-46e6-a4de-fd3d4de3d414@masmovil@h7sn381lTBopU7pLIljv36pWzPTEy-FlswJznI_JqVoxbUXi40XJP8ekJ_1Owtrvzo4FOqIXCtABHhLPJ7rrHAa2UchVqWHuYQZyBCcutP_ryfegNNjC8OWYNc0Mf-mAg1O_GEA50pEXh9UkXINuCikK_XmgDonQhOmRwHC_qiU="
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
token* | string | Security token issued in order to change passwords |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/change_password' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Change the user's credential with the new password
PATH PARAMETERS
a orgID of Grupo Mamovil
{
"language": "string",
"new_password": "string",
"old_password": "string",
"username": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
language | string | Customer's preferred language for communications | ||
new_password* | string | New password | ||
old_password* | string | Old password | ||
username* | string | Customer username |
No Content Updated
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Bad Gateway Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/flows/change_password' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"language": "string",
"new_password": "string",
"old_password": "string",
"username": "string"
}' Create only the username in +credentials
PATH PARAMETERS
a orgID of Grupo Mamovil
{
"customer_id": "string",
"msisdn": "string",
"username": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
customer_id* | string | Internal identification of the customer | ||
msisdn* | string | Msisdn belonging to the customer | ||
username* | string | Username to be linked to the customer |
Created Security token to set or change password
{
"token": "ed7f4ab1-6234-46e6-a4de-fd3d4de3d414@masmovil@h7sn381lTBopU7pLIljv36pWzPTEy-FlswJznI_JqVoxbUXi40XJP8ekJ_1Owtrvzo4FOqIXCtABHhLPJ7rrHAa2UchVqWHuYQZyBCcutP_ryfegNNjC8OWYNc0Mf-mAg1O_GEA50pEXh9UkXINuCikK_XmgDonQhOmRwHC_qiU="
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
token* | string | Security token issued in order to change passwords |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Bad Gateway Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/flows/create_username' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"customer_id": "string",
"msisdn": "string",
"username": "string"
}' Reset the password for this username
PATH PARAMETERS
a orgID of Grupo Mamovil
{
"language": "string",
"username": "string",
"hint": "user@masmovil.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
language | string | Customer's preferred language for communications | ||
username* | string | Customer username | ||
hint | string | Customer's preferred channel to send otp |
No Content Updated
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Method Not Allowed Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Bad Gateway Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/flows/reset_password' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"language": "string",
"username": "string",
"hint": "user@masmovil.com"
}' Get username relations with this token
PATH PARAMETERS
a orgID of Grupo Mamovil
Security token
OK Username associated with the token
{
"username": "myemail@gmail.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
username* | string | Customer username |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/tokens/fruh7GRC-8gdFP1acelpc-p6Vqxcdciowc' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Delete username's token to change o set his credentials
PATH PARAMETERS
a orgID of Grupo Mamovil
Security token
No Content OK
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X DELETE 'https://credentials.masstack.com/v1/orgs/masmovil/tokens/fruh7GRC-8gdFP1acelpc-p6Vqxcdciowc' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Get token and link from customer's token
PATH PARAMETERS
a orgID of Grupo Mamovil
OK Token and link associated with the customer's token
{
"token": "ed7f4ab1-6234-46e6-a4de-fd3d4de3d414@masmovil@h7sn381lTBopU7pLIljv36pWzPTEy-FlswJznI_JqVoxbUXi40XJP8ekJ_1Owtrvzo4FOqIXCtABHhLPJ7rrHAa2UchVqWHuYQZyBCcutP_ryfegNNjC8OWYNc0Mf-mAg1O_GEA50pEXh9UkXINuCikK_XmgDonQhOmRwHC_qiU=",
"link": "https://{{authn-host}}/magiclink?token=ed7f4ab1-6234-46e6-a4de-fd3d4de3d414@masmovil@h7sn381lTBopU7pLIljv36pWzPTEy-FlswJznI_JqVoxbUXi40XJP8ekJ_1Owtrvzo4FOqIXCtABHhLPJ7rrHAa2UchVqWHuYQZyBCcutP_ryfegNNjC8OWYNc0Mf-mAg1O_GEA50pEXh9UkXINuCikK_XmgDonQhOmRwHC_qiU="
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
token* | string | Security token issued to be able to login without using credentials | ||
link* | string | Link to Authn where the issued security token is sent to be able to login without using credentials. |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/magiclinks' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Generate an OTP for this username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Language of communication
{
"language": "es",
"hint": "user@masmovil.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
language | string | Customer's preferred language for communications | ||
hint | string | Customer's preferred channel to send otp |
Created OTP Time to live
{
"expires_in": 300
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expires_in* | integer (int64) | Time to live in seconds |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/otp' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"language": "es",
"hint": "user@masmovil.com"
}' Validate an OTP for this username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Validate OTP
{
"code": "280597"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | OTP to validate |
No Content OK
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X PUT 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/otp' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "280597"
}' Retrieve QR code with TOTP for this username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Created TOTP
"string" Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/totp' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: image/png' Generate an TOTP for this username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Language of communication
{
"language": "es",
"hint": "user@masmovil.com"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
language | string | Customer's preferred language for communications | ||
hint | string | Customer's preferred channel to send otp |
Created TOTP
"string" Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/totp' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: image/png' \
--data-raw '{
"language": "es",
"hint": "user@masmovil.com"
}' Validate an TOTP for this username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Validate TOTP
{
"code": "280597"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | OTP to validate |
No Content OK
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X PUT 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/totp' \
-H 'Authorization: Bearer {access-token}' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "280597"
}' Generate a passcode for the username
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Created User passcode
{
"expires_in": 30,
"passcode": "280597"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expires_in* | integer (int64) | Time to live in seconds | ||
passcode | string | OTP to validate |
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Conflict Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X POST 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/totp/passcode' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Lists all devices on which a session is active.
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
OK Devices list associated with the customer
{
"devices": [
{
"device_id": "e75ebfe3-b976-4b55-be1d-3f0fb68ff916",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/126.0.0.0 Safari/537.36",
"user_agent_alias": "My Iphone 16",
"created_at": 1718618235,
"expires_at": 1726411355
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
devices | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X GET 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/devices' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Unlink all devices at the same time
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
QUERY PARAMETERS
Unique identifier for the device
No Content Deleted
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X DELETE 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/devices?scope=all' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json' Unlink a device
PATH PARAMETERS
a username of Grupo Mamovil
a orgID of Grupo Mamovil
Unique identifier for the device
No Content Deleted
Bad Request Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Unauthorized Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Forbidden Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Not Found Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
Internal Server Error Error response
{
"componentMsg": "string",
"id": "string",
"msg": "string",
"sentryCode": "string",
"status": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
componentMsg* | string | Internal message | ||
id* | string | Unique id identifying the error | ||
msg* | string | Display message | ||
sentryCode | string | Unique id identifying the error | ||
status* | integer (int64) | Equivalent http error code |
curl -X DELETE 'https://credentials.masstack.com/v1/orgs/masmovil/credentials/heimdall@masmovil.com/devices/e75ebfe3-b976-4b55-be1d-3f0fb68ff916' \
-H 'Authorization: Bearer {access-token}' \
-H 'Accept: application/json'